<?php
/*

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce
  
  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
  Freeway eCommerce from ZacWare
http://www.zac-ware.com/freeway

Copyright 2007 ZacWare Pty. Ltd
*/
 // Check to ensure this file is included in Freeway!
defined('_FEXEC') or die(); 
?>
<!-- modules //-->
          <tr>
            <td>
<?php
	$files_list=array(BOX_MODULES_PAYMENT,FILENAME_MODULES,'set=payment',
					BOX_MODULES_SHIPPING,FILENAME_MODULES,'set=shipping',
					BOX_MODULES_ORDER_TOTAL,FILENAME_MODULES,'set=ordertotal',
					BOX_MODULES_SMS_GATEWAYS,FILENAME_MODULES,'set=sms',
					BOX_MODULES_FULFILLER_GATEWAYS,FILENAME_MODULES,'set=fulfiller');
  $heading = array();
  $contents = array();

  $heading[] = array('text'  => BOX_HEADING_MODULES,
                     'link'  => tep_href_link(FILENAME_MODULES, 'set=payment&selected_box=modules'));

	$links_list='';
	reset($files_list);
	for($fcnt=0,$fn=count($files_list);$fcnt<$fn-1;$fcnt=$fcnt+3){
		if ($selected_box == 'modules' || $menu_dhtml == true) {
		    $links_list.='<a href="' . tep_href_link($files_list[$fcnt+1],$files_list[$fcnt+2], 'NONSSL') . '" class="menuBoxContentLink">' . $files_list[$fcnt] . '</a><br>';
		}
		if (isset($HTTP_POST_VARS["search_link"]) && $HTTP_POST_VARS["search_link"]!='' && strpos(strtolower($files_list[$fcnt]),strtolower($HTTP_POST_VARS["search_link"]))!==false){
			$search_links_list[]=array('text'=>$files_list[$fcnt],'link'=>$files_list[$fcnt+1] . '?selected_box=modules&' .  $files_list[$fcnt+2]);
		}
	}
	if ($links_list!=''){
		$contents[] = array('text'  => $links_list);
	}

  $box = new box;
  echo $box->menuBox($heading, $contents);
  unset($files_list);
?>
            </td>
          </tr>
<!-- modules_eof //-->
